Package org.springframework.security.authentication

# Class UserDetailsRepositoryReactiveAuthenticationManager

java.lang.Object
org.springframework.security.authentication.AbstractUserDetailsReactiveAuthenticationManager
org.springframework.security.authentication.UserDetailsRepositoryReactiveAuthenticationManager

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.MessageSourceAware`, `ReactiveAuthenticationManager`

public class UserDetailsRepositoryReactiveAuthenticationManager extends AbstractUserDetailsReactiveAuthenticationManager
A `ReactiveAuthenticationManager` that uses a `ReactiveUserDetailsService` to validate the provided username and password.

Since:
  5.0

## Field Summary

### Fields inherited from class org.springframework.security.authentication.AbstractUserDetailsReactiveAuthenticationManager

`logger, messages`

## Constructor Summary

Constructors
Constructor
Description
`UserDetailsRepositoryReactiveAuthenticationManager(ReactiveUserDetailsService userDetailsService)`

## Method Summary

Modifier and Type
Method
Description
`protected reactor.core.publisher.Mono<UserDetails>`
`retrieveUser(String username)`
Allows subclasses to retrieve the `UserDetails` from an implementation-specific location.

### Methods inherited from class org.springframework.security.authentication.AbstractUserDetailsReactiveAuthenticationManager

`authenticate, setCompromisedPasswordChecker, setMessageSource, setPasswordEncoder, setPostAuthenticationChecks, setScheduler, setUserDetailsPasswordService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserDetailsRepositoryReactiveAuthenticationManager

public UserDetailsRepositoryReactiveAuthenticationManager(ReactiveUserDetailsService userDetailsService)

## Method Details

### retrieveUser

protected reactor.core.publisher.Mono<UserDetails> retrieveUser(String username)
Description copied from class: `AbstractUserDetailsReactiveAuthenticationManager`
Allows subclasses to retrieve the `UserDetails` from an implementation-specific location.

Specified by:
  `retrieveUser` in class `AbstractUserDetailsReactiveAuthenticationManager`
Parameters:
  `username` - The username to retrieve
Returns:
  the user information. If authentication fails, a Mono error is returned.